<div class="card offset-lg-2  col-lg-8">
    <div class="card-header bg-info text-white"><h4>Creation of product</h4></div>
    <div class="card-body">
      <div class="container-fluid">
          <form [formGroup]="form" (ngSubmit)="login(form.value)" novalidate>
          <div class="form-group row">
            <label for="" class="col-lg-3 col-form-label"> Name</label>
            <div class="col-lg-4">
              <input
                formControlName="username"
                type="text"
                class="form-control"
                name=""
                aria-describedby="helpId"
                placeholder=""
              />
            </div>
            <div *ngIf="form.get('username').touched && form.get('username').invalid" class="col-lg-5 text text-danger">
              <div>le cod du produit est obligatoire</div>
            </div>
          </div>
          <div class="form-group row">
            <label for="" class="col-lg-3 col-form-label"> password</label>
            <div class="col-lg-4">
              <input
              formControlName="password"
                type="password"
                class="form-control"
                name=""
                aria-describedby="helpId"
                placeholder=""
              />
            </div>
            <div *ngIf="form.get('password').touched && form.get('password').invalid" class="col-lg-5 text text-danger">
              <div>le nom est obligatoire</div>
            </div>
          </div>

          <div class="form-group row">
            <div class="offset-lg-3 col-md-6">
          <button type="reset" class="btn btn-primary">Reinitialiser</button>
          &nbsp;&nbsp;
          <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Login</button>
          </div>
        </div>
        </form>
      </div>
    </div>
  </div>

